import { DynamicModule } from "@nestjs/common";
import { RedisOptions } from "./redis-options.interface";
export declare class RedisModule {
    static forRoot(options: RedisOptions): DynamicModule;
    static forRootAsync(options: {
        imports?: any[];
        inject?: any[];
        useFactory: (...args: any[]) => Promise<RedisOptions> | RedisOptions;
    }): DynamicModule;
}
